//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 2000  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// TutorialLesson class - lesson that only offers tutorial text
//
import java.util.ResourceBundle;

/**
 * Lesson that only offers tutorial text.
 */
public class TutorialLesson extends Lesson {

	/**
	 * Constructor.
	 *
	 * Deprecated as of typist 3.1h.
	 */
	public TutorialLesson( String title, String text ) {
		super( title, text );
	}

	/**
	 * Lesson constructor.
	 */
	public TutorialLesson( String series_id, ResourceBundle resource,
			String name ) {
		super( series_id, resource, name );
	}


	/**
	 * Class test code.
	 */
	public static void main( String args[] ) {
		System.out.println( "*** CLASS TEST CODE ***" );

		System.out.println( new TutorialLesson( "ttitle", "ttext" ));
	}
}
